<?php

namespace Modules\Reporting;

use Filament\Contracts\Plugin;
use Filament\Panel;

class ReportingPlugin implements Plugin
{
    public function getId(): string
    {
        return 'reporting';
    }

    public function register(Panel $panel): void
    {
        $panel->discoverPages(
            in: __DIR__.'/Filament/Pages',
            for: 'Modules\Reporting\Filament\Pages',
        );
    }

    public function boot(Panel $panel): void {}

    public static function make(): static
    {
        return app(static::class);
    }
}
